I'm hoping to use Developer 6i to create Forms and Reports on the 9i Database I just installed on my XP machine. When I simply download Oracle's file 6irel2nt and try to have it self extract I get a compatibility problem (not a WIN32 app). I tried changing compatibility modes to no avail. When I open Oracle's file directly to a temp folder and then go to run the setup program, I get an Oracle error that suggests I am trying to install the program on an unexpected machine and/or OS. Do I need to get the CD?